
Redmine - Patch #39971

Remove specific platform constraints for database adapter gems

2023-12-29 06:21 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 6.0.0   

Description

This patch simplifies the Gemfile by removing the :platforms constraints from the database adapter gems.

Since Redmine used to support JRuby, the Gemfile included platform-specific dependencies to use different database adapters for

JRuby and MRI Ruby. However, the database adapter gems for JRuby were removed from the Gemfile in r16517, making these

platform-specific conditions no longer necessary.

Associated revisions

Revision 22578 - 2023-12-30 05:13 - Go MAEDA

Remove specific platform constraints for database adapter gems (#39971).

History

#1 - 2023-12-30 05:13 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch in r22578.

Files

remove-platforms.patch 1.05 KB 2023-12-29 Go MAEDA
